module NextSgad
  class ApplicationRecord < ::ApplicationRecord
    self.abstract_class = true
    scope :filter, -> (column, data) {data = [data].flatten.compact.uniq; data.blank? || data.include?('all') ? all : where(column => data)}

    def create_number
      tipo = self.class.name
      return unless tipo.eql?(NextSgad::Position.name) || tipo.eql?(NextSgad::Employee.name) || tipo.eql?(NextSgad::Department.name) || tipo.eql?(NextSgad::Function.name)
      i = self.class.all.map{|i| i.number.to_s.gsub(/\D/, '').to_i}.compact.sort.last || 0
      i = i + 1
      return unless number.blank?
      self.number = "#{self.class::INITIAL_LETTER}#{i.to_s.rjust(8, '0')}"
    end

    def create_number!
      self.create_number
      self.save
    end
  end
end
